[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomCheckCombo.DeleteItem

Deletes the check box at the specified position.

## Declaration

Source position: comboex.pas line 320

`public procedure TCustomCheckCombo.DeleteItem(`
`AIndex: Integer`
`);`

## Arguments

`AIndex` |  | Ordinal position for the item removed in the method.

## Description

Ensures that an object instance stored in Objects is freed before removing the item. Calls the Delete method to remove the item at the position in AIndex.

## See also

TCustomCheckCombo.Objects |  | Provides indexed access to the Data for a check box defined in Items.
TStrings.Delete